Ask Your Question
2

libGLU.so.1 not found

asked 2013-04-27 12:01:51 -0500

Ranieri gravatar image

updated 2014-09-30 09:15:22 -0500

mether gravatar image

I'm trying to install and play Tibia (shame on me) on my Fedora 18, updated up to today (27-04 and, when starting the game via terminal, it says:

[ranieri@notebook-ranieri Tibia]$ ./Tibia
./Tibia: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory

Well, the package libGLU (mesa-libGLU) is already installed and reinstalling doesn't solve the problem. Linking libGLU.so.1 to libGL.so also does not work.

edit retag flag offensive close merge delete

4 Answers

Sort by » oldest newest most voted
2

answered 2013-04-27 18:47:28 -0500

mether gravatar image

If you are running 64-bit, you can try installing the 32-bit version of the library. If this is say a third party game, it is likely to be just a 32-bit binary

edit flag offensive delete link more

Comments

Well I'll be damned :O it worked like a charm. The screen is tearing a lot, but that's just my graphics card. Thank you so much!

Ranieri gravatar imageRanieri ( 2013-04-28 00:05:55 -0500 )edit

you are welcome!

mether gravatar imagemether ( 2013-05-15 15:25:59 -0500 )edit

Can you explain how to install the 32-bit version and of which library? Thanks

Steven Roose gravatar imageSteven Roose ( 2015-06-17 21:51:33 -0500 )edit

@Steven to install the 32-bit version, just append .i686 to the package name. If I recall correctly, for the libGLU error I had, it was mesa-glu.i686. Try yum search glu if it does not work.

Ranieri gravatar imageRanieri ( 2015-06-17 22:23:37 -0500 )edit
0

answered 2015-12-21 09:01:51 -0500

zjei gravatar image

It does NOT work anymore!! What should I do?

edit flag offensive delete link more
0

answered 2019-03-07 07:46:13 -0500

I'm working with F28. I tried to repeat the procedure, but it seems that libGLU.so.1 is not provided in 64 bit in common repositories:

$ dnf provides libGLU.so.1
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:14:23 le jeu. 07 mars 2019 14:14:37 CET.
mesa-libGLU-9.0.0-16.fc29.i686 : Mesa libGLU library
Dépôt               : @System
Correspondances trouvées dans  :
Provide    : libGLU.so.1

mesa-libGLU-9.0.0-16.fc29.i686 : Mesa libGLU library
Dépôt               : fedora
Correspondances trouvées dans  :
Provide    : libGLU.so.1

Installing the package mesa-libGLU did not solved the problem, I think because it installs a 32-bit version of the library. The problem should be solved by installing the 64 bit version:

dnf install mesa-libGLU-0:9.0.0-16.fc29.x86_64
edit flag offensive delete link more
0

answered 2017-12-20 15:21:14 -0500

modlin gravatar image

You could search for libGLU:

dnf search libGLU

and then install 32-bit version of the package:

sudo dnf install mesa-libGLU.i686
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2013-04-27 12:01:51 -0500

Seen: 4,956 times

Last updated: Aug 27 '13